import { jsx } from "react/jsx-runtime";
import { TokenEOS as TokenEOS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEOS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EOS", "data-name": "TokenEOS", ...props, children: /* @__PURE__ */ jsx(TokenEOS$1, { variant }) });
  }
);
TokenEOS.displayName = "TokenEOS";
Object.assign(TokenEOS, { isGdsIcon: true });
export {
  TokenEOS
};
